This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 445968

Summary: Xenner does not support -drive arg
Product: [Fedora] Fedora Reporter: Daniel Berrange <berrange>
Component: xennerAssignee: Gerd Hoffmann <kraxel>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: berrange
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-13 05:30:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 435059    
Attachments:
Description Flags
Add -drive arg none

Description Daniel Berrange 2008-05-10 13:52:31 EDT
Description of problem:
Xenner's help message claims to support the -drive option, but it rejects it
when used:

/usr/bin/xenner 
   -M xenner 
   -m 800 -smp 1 
   -name xenner 
   -monitor pty 
   -no-acpi
   -boot c
   -kernel /var/tmp/virtinst-vmlinuz._rzMXO
   -initrd /var/tmp/virtinst-initrd.img.80fLAC
   -append
method=http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/8/Fedora/i386/os/

   -drive file=/dev/HostVG/VirtData5,if=ide,index=0 
   -net nic,macaddr=00:16:3e:19:2f:51,vlan=0
   -net tap,fd=14,script=,vlan=0,ifname=vnet0
   -serial none
   -parallel none
   -usb
   -vnc 127.0.0.1:0
   -k en-us 
[xenner,1] qemu_monitor_config: pty
[xenner,1] qemu_monitor_config: /dev/pts/13
char device redirected to /dev/pts/13
unknown option (or missing arg): -drive
QEMU PC emulator version 0.9.0
/*
 * No, it isn't.  This just makes libvirt qemu version detection happy,
 * so you can manage xenner guests using libvirts qemu driver.
 */

xenner v0.33 -- run xen kernels in kvm

usage: xenner [options]
options (qemu compatible):
   -help                   print this text
   -kernel     <kernel>     xenified kernel image
   -initrd     <ramdisk>    ramdisk
   -append     <append>     kernel command line
   -name       <string>     set domain name
   -monitor    pty          monitor on pseudo tty
   -m          <memory>     vm memory in megabytes
   -smp        <cpus>       set number of vcpus (UNSTABLE)
   -hd[abcd]   <file>       disk image
   -cdrom      <file>       cdrom image
   -drive      <config>     qemu style disk setup
   -net        <config>     qemu style network setup
   -vnc        <display>    vnc display (needs qemu-dm from xen-tools)
   -k          <kbd>        vnc clients keyboard map



Version-Release number of selected component (if applicable):
xenner-0.33

How reproducible:
Always

Steps to Reproduce:
1. Run xenner using  -drive instead of -hda
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2008-05-10 14:17:36 EDT
Created attachment 305039 [details]
Add -drive arg
Comment 2 Gerd Hoffmann 2008-05-13 05:30:37 EDT
fixed in 0.34